%global plugin_name subversion

Summary:    Provides Jenkins integration with Apache Subversion
Name:       jenkins-plugin-%{plugin_name}
Version:    2.7.2
Release:    10%{?dist}
License:    MIT
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Subversion+Plugin
# AltURL:   https://github.com/jenkinsci/subversion-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.651.2
Requires:   jenkins-plugin-ssh-credentials
Requires:   jenkins-plugin-scm-api
Requires:   jenkins-plugin-mapdb-api
Requires:   jenkins-plugin-credentials
Requires:   jenkins-plugin-workflow-scm-step

%description
Provides Jenkins integration with Apache Subversion.
Once this plugin is installed, you'll see Subversion 
as one of the options in the SCM section of job configurations. 

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Sun Jul 09 2017 Sam Munilla+smunilla@redhat.com--comment=Update to 2.7.2 - 2.7.2-10
- rebuilt

* Tue Jun 27 2017 root - 2.8-1
- Update to 2.8

* Tue Apr 18 2017 Troy Dawson <tdawson@redhat.com> - 2.7.2-1
- Update to 2.7.2

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 2.5.7-1
- Initial package
